zenilib: Zeni::Widget_Renderer_Pair< T1, T2 > Class Template Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Widget_Renderer_Pair< T1, T2 > Class Template Reference

`#include <Widget.h>`

Inherits Zeni::Widget_Render_Function.

## Public Member Functions

| Widget_Renderer_Pair (const T1 *const &first_, const bool &delete_first_, const T2 *const &second_, const bool &delete_second_)
virtual | ~Widget_Renderer_Pair ()
const T1 *const & | first () const
T1 *const & | first ()
virtual Widget_Renderer_Pair < T1, T2 > * | get_duplicate () const
virtual void | render_to (const Widget &widget)
const T2 *const & | second () const
T2 *const & | second ()
Public Member Functions inherited from Zeni::Widget_Render_Function
virtual | ~Widget_Render_Function ()

## Detailed Description

### template<typename T1, typename T2>
class Zeni::Widget_Renderer_Pair< T1, T2 >

Definition at line 309 of file Widget.h.

## Constructor & Destructor Documentation

template<typename T1 , typename T2 >

Zeni::Widget_Renderer_Pair< T1, T2 >::Widget_Renderer_Pair | ( | const T1 *const & | first_,
|  | const bool & | delete_first_,
|  | const T2 *const & | second_,
|  | const bool & | delete_second_
| ) |  |

inline

Definition at line 183 of file Widget.hxx.

template<typename T1 , typename T2 >

Zeni::Widget_Renderer_Pair< T1, T2 >::~Widget_Renderer_Pair | ( |  | ) |

virtual

Definition at line 193 of file Widget.hxx.

## Member Function Documentation

template<typename T1 , typename T2 >

const T1 *const & Zeni::Widget_Renderer_Pair< T1, T2 >::first | ( |  | ) | const

inline

Definition at line 201 of file Widget.hxx.

template<typename T1 , typename T2 >

T1 *const & Zeni::Widget_Renderer_Pair< T1, T2 >::first | ( |  | ) |

inline

Definition at line 211 of file Widget.hxx.

template<typename T1 , typename T2 >

Widget_Renderer_Pair< T1, T2 > * Zeni::Widget_Renderer_Pair< T1, T2 >::get_duplicate | ( |  | ) | const

virtual

Implements Zeni::Widget_Render_Function.

Definition at line 229 of file Widget.hxx.

template<typename T1 , typename T2 >

void Zeni::Widget_Renderer_Pair< T1, T2 >::render_to | ( | const Widget & | widget | ) |

virtual

Implements Zeni::Widget_Render_Function.

Definition at line 221 of file Widget.hxx.

template<typename T1 , typename T2 >

const T2 *const & Zeni::Widget_Renderer_Pair< T1, T2 >::second | ( |  | ) | const

inline

Definition at line 206 of file Widget.hxx.

template<typename T1 , typename T2 >

T2 *const & Zeni::Widget_Renderer_Pair< T1, T2 >::second | ( |  | ) |

inline

Definition at line 216 of file Widget.hxx.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.h
- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.hxx